Hibernate (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class Hibernate

    java.lang.Object
      org.hibernate.Hibernate

    public final class Hibernate

extends Object

- Provides access to the full range of Hibernate built-in types. `Type` instances may be used to bind values to query parameters.
- A factory for new `Blob`s and `Clob`s.
- Defines static methods for manipulation of proxies.

See Also:
  `Clob`, `Blob`, `Type`

Method Summary
`static void` | `close(Iterator iterator)` Close an `Iterator` created by `iterate()` immediately, instead of waiting until the session is closed or disconnected.
`static Class` | `getClass(Object proxy)` Get the true, underlying class of a proxied persistent class.
`static LobCreator` | `getLobCreator(Session session)`
`static LobCreator` | `getLobCreator(SessionImplementor session)`
`static void` | `initialize(Object proxy)` Force initialization of a proxy or persistent collection.
`static boolean` | `isInitialized(Object proxy)` Check if the proxy or persistent collection is initialized.
`static boolean` | `isPropertyInitialized(Object proxy, String propertyName)` Check if the property is initialized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initialize

    public static void initialize(Object proxy)
                           throws HibernateException

  Force initialization of a proxy or persistent collection.

  Note: This only ensures intialization of a proxy object or collection; it is not guaranteed that the elements INSIDE the collection will be initialized/materialized.

  Parameters:
    `proxy` - a persistable object, proxy, persistent collection or `null`
  Throws:
    `HibernateException` - if we can't initialize the proxy at this time, eg. the `Session` was closed

### isInitialized

    public static boolean isInitialized(Object proxy)

  Check if the proxy or persistent collection is initialized.

  Parameters:
    `proxy` - a persistable object, proxy, persistent collection or `null`
  Returns:
    true if the argument is already initialized, or is not a proxy or collection

### getClass

    public static Class getClass(Object proxy)

  Get the true, underlying class of a proxied persistent class. This operation will initialize a proxy by side-effect.

  Parameters:
    `proxy` - a persistable object or proxy
  Returns:
    the true class of the instance
  Throws:
    `HibernateException`

### getLobCreator

    public static LobCreator getLobCreator(Session session)

### getLobCreator

    public static LobCreator getLobCreator(SessionImplementor session)

### close

    public static void close(Iterator iterator)
                      throws HibernateException

  Close an `Iterator` created by `iterate()` immediately, instead of waiting until the session is closed or disconnected.

  Parameters:
    `iterator` - an `Iterator` created by `iterate()`
  Throws:
    `HibernateException`
  See Also:
    `Query.iterate()`, `Query.iterate()`

### isPropertyInitialized

    public static boolean isPropertyInitialized(Object proxy,
                                                String propertyName)

  Check if the property is initialized. If the named property does not exist or is not persistent, this method always returns `true`.

  Parameters:
    `proxy` - The potential proxy
    `propertyName` - the name of a persistent attribute of the object
  Returns:
    true if the named property of the object is not listed as uninitialized; false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.